Skip to content

/api/v1/facilities/{facilityId}/zone-profiles/{profileId}/zones/{zoneId} (PUT)

PUT
/api/v1/facilities/{facilityId}/zone-profiles/{profileId}/zones/{zoneId}
curl --request PUT \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/zone-profiles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/zones/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/yaml' \
--data '{ "name": "example", "code": "example", "zoneType": "Storage" }'
facilityId
required
string format: uuid
profileId
required
string format: uuid
zoneId
required
string format: uuid
object
name
required
string
code
required
string
zoneType
required
string
Allowed values: Storage Functional Temperature Custom

OK

object
id
required
string format: uuid
zoneProfileId
required
string format: uuid
name
required
string
code
required
string
zoneType
required
string
status
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
locationCount
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable